Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WSReliableDeliveryPolicyMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface WSReliableDeliveryPolicyMBean
extends ConfigurationMBean

This class represents the reliable messaging delivery policy for the current WebLogic Server as both a sender and a receiver of a reliable SOAP message to and from a Web service running on a different WebLogic Server.

Reliable messaging is a framework for applications running in WebLogic Server to asynchronously and reliably invoke a Web service running in a different WebLogic Server. Reliable messaging works only between WebLogic Servers. This class encapsulates the default reliable messaging parameters for an application running in this WebLogic Server instance that both sends and receives a SOAP message reliably. These parameters include the number of times to retry sending the message, the time to wait between retries, the persistent store for the reliable message, and so on.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getDefaultRetryCount()` The default maximum number of times that the sender runtime should attempt to redeliver a message that the receiver WebLogic Server has not yet acknowledged.
`int` | `getDefaultRetryInterval()` The default minimum number of seconds that the sender runtime should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender runtime detects a communications error while attempting to send a message.
`int` | `getDefaultTimeToLive()` The default number of seconds that the receiver of the reliable message should persist the history of the reliable message in its store.
`JMSServerMBean` | `getJMSServer()` The JMS server used by WebLogic Server, in its role as a sender, to persist the reliable messages that it sends, or the JMS server used by the receiver WebLogic Server to persist the history of a reliable message sent by a sender.
`JMSStoreMBean` | `getStore()` Deprecated. 9.0.0.0 use the JMSServer attribute instead
`void` | `setDefaultRetryCount(int count)` Sets the value of the defaultRetryCount attribute.
`void` | `setDefaultRetryInterval(int interval)` Sets the value of the defaultRetryInterval attribute.
`void` | `setDefaultTimeToLive(int timeToLive)` Sets the value of the defaultTimeToLive attribute.
`void` | `setJMSServer(JMSServerMBean server)` The JMS server used by WebLogic Server, in its role as a sender, to persist the reliable messages that it sends, or the JMS server used by the receiver WebLogic Server to persist the history of a reliable message sent by a sender.
`void` | `setStore(JMSStoreMBean store)` Deprecated. 9.0.0.0 use the JMSServer attribute instead

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getDefaultRetryCount

    public int getDefaultRetryCount()

  The default maximum number of times that the sender runtime should attempt to redeliver a message that the receiver WebLogic Server has not yet acknowledged.

  The default maximum number of times that the sender should attempt to redeliver a message that the receiver WebLogic Web service has not yet acknowledged.

  Returns:
    The defaultRetryCount value
  Default value:
    10

### getDefaultRetryInterval

    public int getDefaultRetryInterval()

  The default minimum number of seconds that the sender runtime should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender runtime detects a communications error while attempting to send a message.

  The default minimum number of seconds that the sender should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender detects a communications error while attempting to send a message.

  Returns:
    The defaultRetryInterval value

### getDefaultTimeToLive

    public int getDefaultTimeToLive()

  The default number of seconds that the receiver of the reliable message should persist the history of the reliable message in its store.

  The default minimum number of seconds that the receiver of the reliably sent message should persist the message in its storage.

  If the DefaultTimeToLive number of message have passed since the message was first sent, the sender should not resent a message with the same message id.

  If a sender cannot send a message successfully before the DefaultTimeToLive has passed, the sender should report a delivery failure. The receiver, after recovering from a crash, will not dispatch saved messages that have expired.

  Returns:
    The defaultTimeToLive value
  Default value:
    360

### getJMSServer

    public JMSServerMBean getJMSServer()

  The JMS server used by WebLogic Server, in its role as a sender, to persist the reliable messages that it sends, or the JMS server used by the receiver WebLogic Server to persist the history of a reliable message sent by a sender.

  Returns:
    the JMSServer value

### getStore

    public JMSStoreMBean getStore()

  Deprecated. 9.0.0.0 use the JMSServer attribute instead

  The persistent JMS store used by WebLogic Server, in its role as a sender, to persist the reliable messages that it sends, or the persistent JMS store used by the receiver WebLogic Server to persist the history of a reliable message sent by a sender.

  Returns:
    The store value

### setDefaultRetryCount

    public void setDefaultRetryCount(int count)
                              throws InvalidAttributeValueException

  Sets the value of the defaultRetryCount attribute.

  The default maximum number of times that the sender should attempt to redeliver a message that the receiver WebLogic Web service has not yet acknowledged.

  Parameters:
    `count` - The new defaultRetryCount value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultRetryCount()`

### setDefaultRetryInterval

    public void setDefaultRetryInterval(int interval)
                                 throws InvalidAttributeValueException

  Sets the value of the defaultRetryInterval attribute.

  The default minimum number of seconds that the sender should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender detects a communications error while attempting to send a message.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultRetryInterval()`
  Default value:
    6

### setDefaultTimeToLive

    public void setDefaultTimeToLive(int timeToLive)
                              throws InvalidAttributeValueException

  Sets the value of the defaultTimeToLive attribute.

  The default minimum number of seconds that the receiver of the reliably sent message should persist the message in its storage.

  If the DefaultTimeToLive number of message have passed since the message was first sent, the sender should not resent a message with the same message id.

  If a sender cannot send a message successfully before the DefaultTimeToLive has passed, the sender should report a delivery failure. The receiver, after recovering from a crash, will not dispatch saved messages that have expired.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultTimeToLive()`
  Default value:
    360

### setJMSServer

    public void setJMSServer(JMSServerMBean server)
                      throws InvalidAttributeValueException

  The JMS server used by WebLogic Server, in its role as a sender, to persist the reliable messages that it sends, or the JMS server used by the receiver WebLogic Server to persist the history of a reliable message sent by a sender.

  Throws:
    `InvalidAttributeException`
    `InvalidAttributeValueException`

### setStore

    public void setStore(JMSStoreMBean store)
                  throws InvalidAttributeValueException

  Deprecated. 9.0.0.0 use the JMSServer attribute instead

  Sets the value of the store attribute.

  The persistent JMS store used by WebLogic Server to persist the reliable messages that it either sends or receives.

  Parameters:
    `store` - The new store value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getStore()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD